aboutsummaryrefslogtreecommitdiff
path: root/aux/ci/git-post-receive.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-02-08 21:44:24 -0300
committerEuAndreh <eu@euandre.org>2021-02-08 21:53:31 -0300
commitdd04e676719e18674fac0005ae77b0ebcf9d94b7 (patch)
tree81abc07a3c3abde06c0f009265119cf4383e608b /aux/ci/git-post-receive.sh
parenteuandreh.scm: Define packages dynamically (diff)
downloadpackage-repository-dd04e676719e18674fac0005ae77b0ebcf9d94b7.tar.gz
package-repository-dd04e676719e18674fac0005ae77b0ebcf9d94b7.tar.xz
Add aux/ default files
Diffstat (limited to '')
-rwxr-xr-xaux/ci/git-post-receive.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/aux/ci/git-post-receive.sh b/aux/ci/git-post-receive.sh
new file mode 100755
index 0000000..b169489
--- /dev/null
+++ b/aux/ci/git-post-receive.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+
+for n in $(seq 0 $((GIT_PUSH_OPTION_COUNT - 1))); do
+ opt="$(eval "echo \$GIT_PUSH_OPTION_$n")"
+ if [ "$opt" = skip-ci ] || [ "$opt" = ci-skip ]; then
+ printf "\n'%s' option detected, not running ci-build.sh\n\n" "$opt"
+ exit 0
+ fi
+done
+
+PACKAGE="$(basename "$PWD" | cut -d. -f1)" # remove .git suffix
+LOGS_DIR="/srv/ci/$PACKAGE/logs"
+"/srv/ci/$PACKAGE/ci-build.sh" "$PACKAGE" "$LOGS_DIR"